function swir_cor = PreProcessSWIR(swir_sel)
%% 数据预处理
swir_cor = swir_sel;
for m = 1:size(swir_sel, 3)
    image_data = swir_sel(:,:,m);
    error_columns = preprocess_image(image_data);
    corrected_image_data = interpolate_errors(image_data, error_columns);
    swir_cor(:,:,m) = corrected_image_data;
end

end